Skip to content

MCP for AI agents30 toolsYour AI agent works with the rights you give it. Registering, transferring and cancelling stay in the customer area. If you give it the right, it can retrieve the transfer code of a domain: at most 3 retrievals per domain and day, and every retrieval is logged.

Read the MCP docs
DNS automation
v1.6.2
Download OpenAPI

Get DNS record

Retrieve details about a specific Resource Record (rrid).
GET
/dns/rr/{rrid}
ResourceRecordsByID

Authentication

x-api-key

Parameters

Name
Type
Format
Required
Description
rrid
path
number
-
Required
Resource Record ID

Request example

GET
curl --request GET \
  --url 'https://api.regfish.com/dns/rr/1' \
  --header 'x-api-key: YOUR_API_KEY'

Responses

200
The record corresponding to the provided `rrid`
application/jsonrecordResponse
Response example 200
{
  "success": true,
  "code": 0,
  "response": {
    "type": "A",
    "name": "www.example.com.",
    "data": "12.12.12.12",
    "id": 1,
    "auto": true,
    "active": true,
    "ts_created": 1,
    "ts_updated": 1
  }
}
400
Invalid request
application/jsonError
Response example 400
{
  "success": false,
  "message": "Invalid request",
  "error": "Invalid request"
}
401
Unauthorized
application/jsonError
Response example 401
{
  "success": false,
  "message": "Unauthorized",
  "error": "Unauthorized"
}
404
DNS record not found
application/jsonError
Response example 404
{
  "success": false,
  "message": "DNS record not found",
  "error": "DNS record not found"
}
500
Unexpected error
application/jsonError
Response example 500
{
  "success": false,
  "message": "Unexpected error",
  "error": "Unexpected error"
}
Community

Become part of the community

The regfish DNS API is a great solution for developers who want to automate domains and DNS zones. Become part of the community and benefit from DNS automation. The DNS API is available free of charge to every regfish customer.